CMSIS-DSP: arm_sin_cos_example_f32.c File Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_sin_cos_example_f32.c File Reference

## Macros

#define | MAX_BLOCKSIZE
#define | DELTA

## Functions

int32_t | main (void)

## Variables

const float32_t | testInput_f32 [MAX_BLOCKSIZE]
const float32_t | testRefOutput_f32
uint32_t | blockSize
float32_t | testOutput
float32_t | cosOutput
float32_t | sinOutput
float32_t | cosSquareOutput
float32_t | sinSquareOutput
arm_status | status

## Macro Definition Documentation

#define DELTA

Examples:
  arm_sin_cos_example_f32.c.

#define MAX_BLOCKSIZE

Examples:
  arm_sin_cos_example_f32.c.

## Function Documentation

int32_t main | ( | void |  | ) |

Examples:
  arm_sin_cos_example_f32.c.

## Variable Documentation

uint32_t blockSize

Examples:
  arm_sin_cos_example_f32.c.

float32_t cosOutput

Examples:
  arm_sin_cos_example_f32.c.

float32_t cosSquareOutput

Examples:
  arm_sin_cos_example_f32.c.

float32_t sinOutput

Examples:
  arm_sin_cos_example_f32.c.

float32_t sinSquareOutput

Examples:
  arm_sin_cos_example_f32.c.

arm_status status

Examples:
  arm_sin_cos_example_f32.c.

const float32_t testInput_f32[MAX_BLOCKSIZE]

Examples:
  arm_sin_cos_example_f32.c.

float32_t testOutput

Examples:
  arm_sin_cos_example_f32.c.

const float32_t testRefOutput_f32

Examples:
  arm_sin_cos_example_f32.c.